﻿using igGridRemoteSorting.Models;
using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace igGridRemoteSorting.Controllers
{
    public class HomeController : Controller
    {
        List<Person> listOfPersons = new List<Person>();  
        //
        // GET: /Home/
        public ActionResult Index()
        {
            GenerateList(listOfPersons);
            return View(listOfPersons.AsQueryable());
        }

        [GridDataSourceAction]
        public ActionResult GetPersons()
        {
            GenerateList(listOfPersons);
            return View(listOfPersons.AsQueryable());
        }

        private void GenerateList(List<Person> listOfPersons)
        {
            for (int i = 0; i < 10; i++)
            {
                listOfPersons.Add(new Person(i, "John" + i.ToString(), "Doe" + i.ToString()));
            }
        }
	}
}